require("defines")
require("util")
require("scripts.util")
require("config")

require("scripts.cheats")
require("scripts.creative-provider-chest")
require("scripts.duplicator")
require("scripts.energy-source")
require("scripts.energy-void")
require("scripts.events")
require("scripts.fluid-providers-util")
require("scripts.fluid-source")
require("scripts.fluid-void")
require("scripts.global-util")
require("scripts.gui")
require("scripts.item-providers-util")
require("scripts.item-source")
require("scripts.item-void")
require("scripts.passive-energy-void")

-- Registers callback for each events.
script.on_init(events.on_init)
script.on_load(events.on_load)
script.on_configuration_changed(events.on_configuration_changed)
script.on_event(defines.events.on_built_entity,					events.on_built_entity)
script.on_event(defines.events.on_robot_built_entity,			events.on_built_entity)
script.on_event(defines.events.on_tick,							events.on_tick)
script.on_event(defines.events.on_preplayer_mined_item,			events.on_preplayer_mined_item)
script.on_event(defines.events.on_marked_for_deconstruction,	events.on_marked_for_deconstruction)
script.on_event(defines.events.on_entity_settings_pasted,		events.on_entity_settings_pasted)

script.on_event(defines.events.on_gui_click,					gui.on_gui_click)

-- Create interface for lua command.
remote.add_interface(creative_mode_defines.names.interface,		events.remote_functions)

--[[
-- Demo for subscribing and using the custom events.
script.on_event(remote.call(creative_mode_defines.names.interface, "on_enabled"), function(event)
	game.players[1].print("Test: Creative Mode enabled!")
end)
script.on_event(remote.call(creative_mode_defines.names.interface, "on_disabled"), function(event)
	game.players[1].print("Test: Creative Mode disabled!")
end)
--]]